textures/cpm3b_b1/city_cpm
{
	qer_editorimage env/city_lf.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm sky
	q3map_surfacelight 83
//			R G B Intens Deg Elev
	q3map_sun	.9 .8 .7 95 97 65
	skyparms env/city 720 -
}

//mighty particles by Hipshot
textures/cpm3b_b1/moats_
	{
	qer_alphafunc greater 0.5
	qer_trans 0.99
	qer_editorimage textures/cpm3b_b1/ed/moats_.jpg
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip	
	cull none
	deformVertexes bulge 128 1 2	
	{
		map textures/cpm3b_b1/moats_.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll 0 .04
	}
}

textures/cpm3b_b1/glass
{
        qer_editorimage textures/cpm3b_b1/glass.tga
        qer_trans 0.45
        surfaceparm nolightmap
	surfaceparm nodlight
        surfaceparm trans
	nopicmip
	cull none
        {
                map textures/cpm3b_b1/glass.tga
                blendfunc filter
		rgbGen identity
        }
        {
                map textures/cpm3b_b1/glass_env.tga
                blendfunc add
                rgbGen identity
                tcGen environment
        }
}

textures/cpm3b_b1/ph_fanrust
{
	qer_editorimage textures/cpm3b_b1/ph_fanrust.tga
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip
	{
		clampmap textures/cpm3b_b1/ph_fanrust.tga
		tcMod rotate 150
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cpm3b_b1/ph_fan
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
        {
                map textures/cpm3b_b1/ph_fan.tga
                alphaFunc GE128
		depthWrite
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/cpm3b_b1/ph_turb
{
	qer_editorimage textures/cpm3b_b1/ph_turb.tga
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip
	{
		clampmap textures/cpm3b_b1/ph_turb.tga
		tcMod rotate 250
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cpm3b_b1/ph_lt
{
	qer_editorimage textures/cpm3b_b1/ph_lt.tga
	q3map_surfacelight 1375
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/ph_lt.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/ph_lt_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/cpm3b_b1/ph_sq_lt
{
	qer_editorimage textures/cpm3b_b1/ph_sq_lt.tga
	q3map_surfacelight 1150
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/ph_sq_lt.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/ph_sq_lt_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// moving fan shadow
textures/cpm3b_b1/fanfx_
{
	qer_editorimage textures/cpm3b_b1/fanfx_.tga
        surfaceparm nolightmap
        surfaceparm trans	
        surfaceparm nomarks
	surfaceparm nodlight
	cull none
        nopicmip

	{
		clampmap textures/cpm3b_b1/fanfx_.tga
		tcMod rotate -512 
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
                depthWrite
	}
}

//rusty spot decals
textures/cpm3b_b1/rust0028
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/rust0028.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/cpm3b_b1/dec_flr003
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_flr003.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/cpm3b_b1/dec_flr005
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_flr005.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/cpm3b_b1/dec_flr0012
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_flr0012.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

//stain spots
textures/cpm3b_b1/dec_stain0027
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_stain0027.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/cpm3b_b1/dec_tab_c
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_tab_c.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/cpm3b_b1/dec_tab_e
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_tab_e.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

//burnt edges
textures/cpm3b_b1/dec_stain0330
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_stain0330.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/cpm3b_b1/dec_subt0001
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_subt0001.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/cpm3b_b1/dec_side0327
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_side0327.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

//edge decals
textures/cpm3b_b1/dec_side0086
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_side0086.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/cpm3b_b1/dec_side0088
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_side0088.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

//plaster wall dmg decals
textures/cpm3b_b1/dec_wall0068
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_wall0068.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/cpm3b_b1/dec_wall0041
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_wall0041.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/cpm3b_b1/dec_wall0042
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_wall0042.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

//cement wall stain
textures/cpm3b_b1/dec_pat2026
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cpm3b_b1/dec_pat2026.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/cpm3b_b1/dec_tube
{
    	surfaceparm trans	
	surfaceparm nonsolid
        surfaceparm nomarks
	polygonoffset	
	sort 6
	nopicmip
	{
		map textures/cpm3b_b1/dec_tube.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//jumppad energy flow
textures/cpm3b_b1/alpha_vert
{
    qer_editorimage textures/cpm3b_b1/ed/alpha_vert.tga
    surfaceparm nonsolid
    surfaceparm nodraw
    surfaceparm trans
    q3map_alphaMod volume    <-sets a brush to alter the vertices it overlaps
    q3map_alphaMod set 0     <-sets the value of the v alpha given
}

// 2 groups of cyan electric beams with 3 beams per group. each group goes up, rotates and changes intensity at different speeds
// 2 groups of white trails. each group has its own trail size and speed
textures/cpm3b_b1/3b01
{
	qer_editorimage textures/cpm3b_b1/3b01.tga
	qer_trans 0
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	nopicmip
	deformVertexes wave 200 sin 0 2 0 0.37
	q3map_lightimage textures/cpm3b_b1/3b01.tga
	q3map_surfacelight 100
	q3map_backSplash 10 25

	{
		animMap 16 textures/cpm3b_b1/3b01.tga textures/cpm3b_b1/3b02.tga textures/cpm3b_b1/3b03.tga textures/cpm3b_b1/3b04.tga textures/cpm3b_b1/3b05.tga textures/cpm3b_b1/3b06.tga textures/cpm3b_b1/3b07.tga textures/cpm3b_b1/3b08.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin 0.8 0.2 0 0.3
		alphaGen vertex
		tcMod transform 0 -0.5 0.5 0 0 0
		tcMod scroll -0.7 0.17
	}
	{
		animMap 16 textures/cpm3b_b1/3b01.tga textures/cpm3b_b1/3b02.tga textures/cpm3b_b1/3b03.tga textures/cpm3b_b1/3b04.tga textures/cpm3b_b1/3b05.tga textures/cpm3b_b1/3b06.tga textures/cpm3b_b1/3b07.tga textures/cpm3b_b1/3b08.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin 0.8 0.2 0 0.5
		alphaGen vertex
		tcMod transform 0 -0.5 0.5 0 0 0.5
		tcMod scroll -1.1 -0.13
	}
	{
		map textures/cpm3b_b1/omfgstars.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		alphaGen vertex
		tcMod scale 2 0.125
		tcMod scroll 0 -0.23
	}
	{
		map textures/cpm3b_b1/omfgstars.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		alphaGen vertex
		tcMod scale 1 0.0625
		tcMod scroll 0 -0.17
	}
}

textures/cpm3b_b1/jp_fx
{
	qer_editorimage textures/cpm3b_b1/jp_fx.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	cull none
	{
		map textures/cpm3b_b1/jp_particles.tga
		alphaGen vertex
		tcMod scale .125 .125
		tcMod turb 0 .1 0 .05
		tcMod scroll 0 .1
		blendFunc GL_SRC_ALPHA GL_ONE
	}
}

textures/cpm3b_b1/jp_fx_fast
{
	qer_editorimage textures/cpm3b_b1/jp_fx.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	cull none
	{
		map textures/cpm3b_b1/jp_particles.tga
		alphaGen vertex
		tcMod scale .14 .14
		tcMod turb 0 .07 0 .04
		tcMod scroll 0 1.2
		blendFunc GL_SRC_ALPHA GL_ONE
	}
}

//dust
textures/cpm3b_b1/dust_
{
	qer_editorimage textures/cpm3b_b1/dust_.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/cpm3b_b1/dust_.tga
		alphaGen vertex
		tcMod scale .125 .125
		tcMod turb 0 .1 0 .05
		//tcMod scroll 0 .1
		blendFunc GL_SRC_ALPHA GL_ONE
	}
}

//tele dests
textures/cpm3b_b1/t_arrdec
{
	qer_editorimage textures/cpm3b_b1/t_arrdec.tga
	surfaceparm trans
	surfaceparm nomarks
	q3map_surfacelight 300
	polygonoffset
	nopicmip
	cull none

	{
		map textures/cpm3b_b1/t_arrdec.tga
		blendFunc add
		rgbGen wave triangle 0.4 0.25 0 0.4
	}
}

//teleporter frame
textures/cpm3b_b1/lt01
{
	surfaceparm nomarks
	q3map_surfacelight 80
	q3map_lightsubdivide 32
	q3map_lightimage textures/cpm3b_b1/lt01_blend.tga
	qer_editorimage textures/cpm3b_b1/lt01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/lt01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/lt01_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .7 1 0 .15
	}
}

//teleporter
textures/cpm3b_b1/tele_cpm
{
	qer_editorimage textures/cpm3b_b1/tele_cpm.jpg
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	q3map_surfacelight 270
	q3map_backSplash 10 25
	{
		map textures/cpm3b_b1/tele_blnd.jpg
		tcMod turb 0 0.2 0 0.025
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/tele_cpm.jpg
		blendFunc blend
		rgbGen wave sin 0.75 0.25 0 0.125
		alphaGen wave sin 0.5 0.1 0 0.125
	}
}

textures/cpm3b_b1/tele_scn
{
	qer_editorimage textures/cpm3b_b1/tele_scn.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_surfacelight 10
	{
		map textures/cpm3b_b1/tele_scan.jpg
		blendfunc add		
		rgbGen identity
		tcMod Scroll 0 -.01
	}		
	{
		map textures/cpm3b_b1/tele_scn.jpg
		blendfunc add		
		rgbGen identity
		rgbGen wave sin .8 .2 0 1
	}
}

textures/cpm3b_b1/glare
{
	surfaceparm nomarks	
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/glare.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/glare.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/cpm3b_b1/glare_brt
{
	qer_editorimage textures/cpm3b_b1/glare_brt.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	sort 6
	cull none
	q3map_surfacelight 4000
	{
		map textures/cpm3b_b1/glare_brt.tga
		blendFunc add
                alphaFunc GE128
		depthWrite		
		rgbGen identity
		rgbGen wave sin .7 .2 0 1
	}	
	
}

textures/cpm3b_b1/lavah3
{
	qer_editorimage textures/cpm3b_b1/lavapool.jpg
	q3map_globaltexture
	q3map_lightRGB .85 .33 0
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	q3map_surfacelight 150
	tesssize 32
	cull disable
	deformVertexes wave 40 sin -1.5 1.5 0.07 0.13
	{
		map $whiteimage
		blendFunc GL_ONE GL_ZERO
		rgbGen const ( 0.3 0.3 0.3 )
	}
	{
		animmap 2 textures/cpm3b_b1/v01.tga textures/cpm3b_b1/v02.tga textures/cpm3b_b1/v03.tga textures/cpm3b_b1/v04.tga textures/cpm3b_b1/v05.tga textures/cpm3b_b1/v06.tga textures/cpm3b_b1/v07.tga textures/cpm3b_b1/v08.tga
		blendFunc add
		rgbGen wave inversesawtooth 0 1 0 2
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 -0.025
	}
	{
		animmap 2 textures/cpm3b_b1/v02.tga textures/cpm3b_b1/v03.tga textures/cpm3b_b1/v04.tga textures/cpm3b_b1/v05.tga textures/cpm3b_b1/v06.tga textures/cpm3b_b1/v07.tga textures/cpm3b_b1/v08.tga textures/cpm3b_b1/v01.tga
		blendFunc add
		rgbGen wave sawtooth 0 1 0 2
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 -0.025
	}
	{
		map textures/cpm3b_b1/lavapool.jpg
		blendFunc filter
		tcMod turb 0 0.0625 0 0.03125
	}
}

textures/cpm3b_b1/lavah3_m
{
    qer_editorimage textures/cpm3b_b1/lavaflow.tga
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 150
    deformVertexes wave 100 sin 0 0.5 0 1
    q3map_cnq3_depthFade 4 0
    {
        map textures/cpm3b_b1/lavaflow.tga
		blendFunc blend
		rgbGen const ( 1.5 1.5 1.5 )
        tcMod scroll 0 0.25
    }
}

textures/cpm3b_b1/lavasplash
{
    qer_editorimage textures/cpm3b_b1/ls01.tga
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nolightmap
	sort 8.75
	{
		animmap 8 textures/cpm3b_b1/ls01.tga textures/cpm3b_b1/ls02.tga textures/cpm3b_b1/ls03.tga textures/cpm3b_b1/ls04.tga textures/cpm3b_b1/ls05.tga textures/cpm3b_b1/ls06.tga textures/cpm3b_b1/ls07.tga textures/cpm3b_b1/ls08.tga
		blendFunc add
		rgbGen wave inversesawtooth 0 1 0 8
	}
	{
		animmap 8 textures/cpm3b_b1/ls02.tga textures/cpm3b_b1/ls03.tga textures/cpm3b_b1/ls04.tga textures/cpm3b_b1/ls05.tga textures/cpm3b_b1/ls06.tga textures/cpm3b_b1/ls07.tga textures/cpm3b_b1/ls08.tga textures/cpm3b_b1/ls01.tga
		blendFunc add
		rgbGen wave sawtooth 0 1 0 8
		depthWrite
	}
}

textures/cpm3b_b1/lamp_d
{
	surfaceparm nomarks	
	q3map_surfacelight 1250
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/lamp_d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/lamp_d_blend.tga
		rgbGen wave sin .6 .1 .1 .4
		blendfunc GL_ONE GL_ONE
	}
}

textures/cpm3b_b1/lamp_ds
{
	surfaceparm nomarks	
	q3map_surfacelight 1150
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/lamp_ds.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/lamp_ds_blend.tga
		rgbGen wave sin .6 .1 .1 .4
		blendfunc GL_ONE GL_ONE
	}
}

textures/cpm3b_b1/Lights0048
{
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_surfacelight 1350
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/Lights0048.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/Lights0048_blend.tga
		rgbGen wave sin .6 .1 .1 .4
		blendfunc GL_ONE GL_ONE
	}
}

textures/cpm3b_b1/beam_s1
{
	sort 16
	qer_editorimage textures/cpm3b_b1/beam_s1.jpg
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	nopicmip
	cull disable
	deformVertexes autosprite2
	{
		clampmap textures/cpm3b_b1/beam_s1.jpg
		blendfunc add
	}
}

textures/cpm3b_b1/beam_s2
{
	qer_editorimage textures/cpm3b_b1/beam_s2.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	//surfaceparm nomipmaps
        nopicmip
	{
		map textures/cpm3b_b1/beam_s2.tga
                blendFunc add
        }
}

textures/cpm3b_b1/sq2
{
	qer_editorimage textures/cpm3b_b1/sq2.tga
	surfaceparm nomarks
	q3map_surfacelight 1900
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/sq2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/sq2_blend.tga
		rgbGen wave sin .6 .1 .1 .4
		blendFunc GL_ONE GL_ONE
	}
}

textures/cpm3b_b1/lt_wh
{
	surfaceparm nomarks	
	q3map_surfacelight 1750
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/lt_wh.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/lt_wh_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/cpm3b_b1/lt_blu
{
	surfaceparm nomarks
	q3map_surfacelight 1100
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/lt_blu.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/lt_blu_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/cpm3b_b1/lt_cya
{
	surfaceparm nomarks
	q3map_surfacelight 1100
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/lt_cya.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/lt_cya_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/cpm3b_b1/ph_trim
{
	qer_editorimage textures/cpm3b_b1/ph_trim.tga
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/ph_trim.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/ph_trim_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/cpm3b_b1/arr0029
{
	qer_editorimage textures/cpm3b_b1/arr0029.tga
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm alphashadow		
	cull none
        nopicmip
	{
		map textures/cpm3b_b1/arr0029.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cpm3b_b1/arr0017
{
	qer_editorimage textures/cpm3b_b1/arr0017.tga
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm alphashadow		
	cull none
        nopicmip
	{
		map textures/cpm3b_b1/arr0017.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cpm3b_b1/pr_fence
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip

	{
		map textures/cpm3b_b1/pr_fence.tga
                alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//nopicmip 4 myT )
textures/cpm3b_b1/conc0053_logo
{
	qer_editorimage textures/cpm3b_b1/conc0053_logo.tga
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/conc0053_logo.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cpm3b_b1/plastcolour0348_logo
{
	qer_editorimage textures/cpm3b_b1/plastcolour0348_logo.tga
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/plastcolour0348_logo.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cpm3b_b1/cpm3b_b1_logo
{
	qer_editorimage textures/cpm3b_b1/cpm3b_b1_logo.tga
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/cpm3b_b1_logo.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//POLYOFFSETS:
textures/cpm3b_b1/conc0088_p
{
	qer_editorimage textures/cpm3b_b1/conc0088.tga
	//surfaceparm nomarks
	polygonOffset
	sort 3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/conc0088.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO	
	}
}

textures/cpm3b_b1/metal04_p
{
	qer_editorimage textures/cpm3b_b1/metal04.tga
	//surfaceparm nomarks
	polygonOffset
	sort 3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/metal04.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO	
	}
}

//NOCLIPS:
textures/cpm3b_b1/wood_n
{
	qer_editorimage textures/cpm3b_b1/wood_1_hq.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/wood_1_hq.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cpm3b_b1/pit_rust_n
{
	qer_editorimage textures/cpm3b_b1/pit_rust.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/pit_rust.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cpm3b_b1/pit_rust2_n
{
	qer_editorimage textures/cpm3b_b1/pit_rust2.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/pit_rust2.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cpm3b_b1/metal04_n
{
	qer_editorimage textures/cpm3b_b1/metal04.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/metal04.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cpm3b_b1/trim01_n
{
	qer_editorimage textures/cpm3b_b1/trim01.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/trim01.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cpm3b_b1/cable_or
{
	qer_editorimage textures/cpm3b_b1/cable_or.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/cable_or.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cpm3b_b1/tube_red
{
	qer_editorimage textures/cpm3b_b1/tube_red.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/tube_red.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cpm3b_b1/tube0181
{
	qer_editorimage textures/cpm3b_b1/tube0181.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/tube0181.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cpm3b_b1/conc0088_n
{
	qer_editorimage textures/cpm3b_b1/conc0088.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/conc0088.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO	
	}
}

textures/cpm3b_b1/conc0023_n
{
	qer_editorimage textures/cpm3b_b1/conc0023.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/conc0023.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cpm3b_b1/bricks_burnt_dec_n
{
	qer_editorimage textures/cpm3b_b1/bricks_burnt_dec.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm3b_b1/bricks_burnt_dec.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//VEGETATIONS!
textures/cpm3b_b1/plant_mon01
{
	qer_editorimage textures/cpm3b_b1/plant_mon01.tga
	q3map_lightimage textures/cpm3b_b1/plant_mon01.tga
	qer_trans 1
	qer_alphafunc greater 0.5	
	surfaceparm alphashadow
	q3map_vertexScale 2
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap	
	cull none
	nopicmip
	deformVertexes wave 25 sin 0 1.5 0 0.1 
	{
		map textures/cpm3b_b1/plant_mon01.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}	
}

textures/cpm3b_b1/plant_mon05
{
	qer_editorimage textures/cpm3b_b1/plant_mon05.tga
	q3map_lightimage textures/cpm3b_b1/plant_mon05.tga
	qer_trans 1
	qer_alphafunc greater 0.5	
	surfaceparm alphashadow
	q3map_vertexScale 2
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap	
	cull none
	nopicmip
	deformVertexes wave 25 sin 0 1.2 0 0.1 
	{
		map textures/cpm3b_b1/plant_mon05.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}	
}

textures/cpm3b_b1/plant_mon06
{
	qer_editorimage textures/cpm3b_b1/plant_mon06.tga
	q3map_lightimage textures/cpm3b_b1/plant_mon06.tga
	qer_trans 1
	qer_alphafunc greater 0.5	
	surfaceparm alphashadow
	q3map_vertexScale 2
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap	
	cull none
	nopicmip
	deformVertexes wave 25 sin 0 2 0 0.1 
	{
		map textures/cpm3b_b1/plant_mon06.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}	
}

textures/cpm3b_b1/plant_mon07
{
	qer_editorimage textures/cpm3b_b1/plant_mon07.tga
	q3map_lightimage textures/cpm3b_b1/plant_mon07.tga
	qer_trans 1
	qer_alphafunc greater 0.5	
	surfaceparm alphashadow
	q3map_vertexScale 2
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap	
	cull none
	nopicmip
	deformVertexes wave 25 sin 0 2 0 0.1 
	{
		map textures/cpm3b_b1/plant_mon07.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}	
}

textures/cpm3b_b1/plant_mon08
{
	qer_editorimage textures/cpm3b_b1/plant_mon08.tga
	q3map_lightimage textures/cpm3b_b1/plant_mon08.tga
	qer_trans 1
	qer_alphafunc greater 0.5	
	surfaceparm alphashadow
	q3map_vertexScale 2
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap	
	cull none
	nopicmip
	deformVertexes wave 25 sin 0 2 0 0.1 
	{
		map textures/cpm3b_b1/plant_mon08.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}	
}

textures/cpm3b_b1/plant_colour
{
	qer_editorimage textures/cpm3b_b1/plant_colour.tga
	q3map_lightimage textures/cpm3b_b1/plant_colour.tga
	qer_trans 1
	qer_alphafunc greater 0.5	
	surfaceparm alphashadow
	q3map_vertexScale 2
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap	
	cull none
	nopicmip
	deformVertexes wave 25 sin 0 2 0 0.1 
	{
		map textures/cpm3b_b1/plant_colour.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}	
}

textures/cpm3b_b1/roots
{
	qer_editorimage textures/cpm3b_b1/roots.tga
	q3map_lightimage textures/cpm3b_b1/roots.tga
//	qer_trans 1
//	qer_alphafunc greater 0.5	
	surfaceparm alphashadow
	q3map_vertexScale 2
//	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap	
	cull none
	nopicmip
	deformVertexes wave 25 sin 0 1.5 0 0.1 
	{
		map textures/cpm3b_b1/roots.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}	
}